import React from 'react';
import { UseReducerContextSource } from './createUseReducerContext';
import { Store } from '../createStore/createStore';
export declare type ContextProvider<T extends Record<string, unknown>> = {
    children: React.ReactNode;
    store?: Store<T>;
};
export declare type AnyReducer<S = any, A = any> = React.Reducer<S, A> | React.ReducerWithoutAction<S>;
export declare type ReducerState<R> = R extends React.ReducerWithoutAction<any> ? React.ReducerStateWithoutAction<R> : R extends React.Reducer<any, any> ? React.ReducerState<R> : never;
export declare type ReducerDispatch<R> = R extends React.ReducerWithoutAction<any> ? React.DispatchWithoutAction : R extends React.Reducer<any, any> ? React.Dispatch<React.ReducerAction<R>> : never;
export declare type State<T extends UseReducerContextSource> = {
    [P in keyof T]: T[P]['initialState'];
};
export declare type UseReducerContextValue<T extends UseReducerContextSource> = {
    state: {
        [P in keyof T]: T[P]['initialState'];
    };
    dispatch: {
        [P in keyof T]: ReducerDispatch<T[P]['reducer']>;
    };
};
export declare const createContext: <T extends UseReducerContextSource>(contextSource: T) => {
    useGlobalContext: import("../core/useSelector").UseSelector<UseReducerContextValue<T>>;
    contextProvider: React.FC<ContextProvider<State<T>>>;
};
