import React from 'react';
import { AnyReducer, ContextProvider, State, UseReducerContextValue } from './createContext';
import { UseSelector } from '../core/useSelector';
export declare type UseReducerContextSource = {
    [partial: string]: {
        reducer: AnyReducer;
        initialState: any;
        initializer?: any;
    };
};
/**
 * Use "useReducer" to create a useGlobalContext with global context.
 */
export declare const createUseReducerContext: <T extends UseReducerContextSource>(contextSource: T) => [UseSelector<UseReducerContextValue<T>>, React.FC<ContextProvider<State<T>>>];
