import React from 'react';
import { UseStateContextSource } from './createUseStateContext';
import { Store } from '../createStore/createStore';
export declare type ContextProvider<T extends Record<string, unknown>> = {
    children: React.ReactNode;
    store?: Store<T>;
};
export declare type UseStateContextValue<T extends UseStateContextSource> = {
    state: T;
    dispatch: {
        [P in keyof T]: React.Dispatch<React.SetStateAction<T[P]>>;
    };
};
export declare const createContext: <T extends UseStateContextSource>(contextSource: T) => {
    useGlobalContext: import("../core/useSelector").UseSelector<UseStateContextValue<T>>;
    contextProvider: React.FC<ContextProvider<T>>;
};
