import React from 'react';
import { ContextProvider, UseStateContextValue } from './createContext';
import { UseSelector } from '../core/useSelector';
export declare type UseStateContextSource = {
    [partial: string]: any;
};
/**
 * Use "useState" to create a useGlobalContext with global context.
 */
export declare const createUseStateContext: <T extends UseStateContextSource>(contextSource: T) => [UseSelector<UseStateContextValue<T>>, React.FC<ContextProvider<T>>];
